2023考研高数知识点:递推数列求极限的两种方法

良师启航-周老师
2022-9-15 15:30:38

1471

分类专栏:

考研数学

标签:

2023考研数学
摘要:

高等数学是考研数学的考点之一,高度的抽象性、严密的逻辑性和广泛的应用性是这一学科的重要特点,所以我们在复习的时候不仅仅是背和记,还要利用逻辑思维、空间思维、应用思维来理解,非常的不容易,要舍得花时间。为了能够帮助到我们的2023考研学子,小编在这总结下2023考研高数知识点:递推数列求极限的两种方法。

高等数学是考研数学的考点之一,高度的抽象性、严密的逻辑性和广泛的应用性是这一学科的重要特点,所以我们在复习的时候不仅仅是背和记,还要利用逻辑思维、空间思维、应用思维来理解,非常的不容易,要舍得花时间。为了能够帮助到我们的2023考研学子,小编在这总结下2023考研高数知识点:递推数列求极限的两种方法。


一、 由递推公式根据差分方程理论或者构造辅助数列迭代法求出通项公式,这是最直接的思路。见下例

例、定义x0=a,x1=b,xn+1=(2n−1)xn+xn−12n,求limn→∞xn

解:由题知xn+1−xn=−12n(xn−xn−1),令qn=xn−xn−1

q1=b−a,则qn+1=−12nqn=…=(−12)n1n!(b−a)

所以xn=∑k=1n(xk−xk−1)+x0=x0+∑k=1nqk

limn→∞xn=a+limn→∞∑k=1n(−12)n−11(n−1)!(b−a)=a+(b−a)e−12

但往往遇到的是通项无法直接求解出来的数列。但有时通项能用迭代法借助 a1,a2,… 表示。便可以如下例这样设问

例:a0=3,an=an−12−2,求limn→∞ana0a1·…·an−1

解:an2−4=(an−2)(an+2)=(an−12−4)an−12,所以迭代则有

an2−4=a02a12·…·an−12(a02−4)=5a02a12·…·an−12

易知limn→∞an=∞,为严谨也可根据反证法证明

所以limn→∞ana0a1·…·an−1=limn→∞anan2−45=5

二、 利用夹逼准则或单调有界准则判断出极限存在并求之。


1、单调有界准则常常牵扯到一个结论(此结论由数学归纳法易证):

对{ xn }, 有xn+1 =f( xn ),

①函数f'(x) ≥ 0,则{ xn }单调;

x2>x1 时{ xn }单调递增, x2<x1 时{ xn }单调递减.

②函数f'(x) ≤ 0,则偶子列{ x2n }与 奇子列x2n−1 的单调性相反。

x3>x1 时奇子列{ x2n−1 }单调递增,偶子列{ x2n }单调递减;

x3<x1 时奇子列{ x2n−1 }单调递减,偶子列{ x2n }单调递增

单调有界准则想必都应该挺熟悉了,故给出的是一道略微有点绕的例子

例、(单调有界准则)S1=lna,a>0,Sn=∑in−1ln(a−Si),n=2,3,4,……,试求limn→+∞Sn

解:由题可知 an+1=Sn+1−Sn=∑inln(a−Si)−∑in−1ln(a−Si)=ln(a−Sn) Sn+1=Sn+an+1=Sn+ln(a−Sn),故令f(x)=x+ln(a−x)(S1<x<a), f′(x)=1+1x−a,f′(x)=0⇒x=a−1,

易知f(x)在xϵ(S1,a−1)单调递增,xϵ(a−1,a)单调递减,

所以f(x)≤f(a−1)=a−1+ln(a−(a−1))=a−1⇒Sn=f(Sn−1)≤a−1

Sn+1−Sn=ln(a−Sn)≥ln(a−(a−1))=0, 所以数列{ Sn }单调递增,又

数列{ Sn }有上界,故数列{ Sn }收敛,设 limn→+∞Sn=C,则C=C+ln(a−C)⇒C=a−1

利用单调有界准则求数列极限的还有一类题是利用基本不等式判断出数列有上界或下界

例:a>0,x1>0,且定义xn+1=14(3xn+axn3),求limn→∞xn

解:xn+1=14(xn+xn+xn+axn3)≥a4,得到了xn有下界,

再由xn+1−xn=a−xn44xn3≤0,由单调递减有下界知极限存在,

设limn→∞an=A,所以A=14(3A+aA3)⇒A=a4


2、夹逼准则中也包含了一个重要思路:压缩映射(分①②两种)

①若存在kϵ(0,1),常数C,使0≤|xn−C|≤k·|xn−1−C|

≤k2·|xn−2−C|≤……≤kn−1|x1−C|

易知n趋于无穷时kn−1|x1−C|趋于0

所以由夹逼准则可知 limx→+∞xn=C


注:①中的推导还告知了我们一个重要信息:xn 趋于C的速度不低于 kn 趋于0的速度。

故我们可得:对于m<1k,limx→+∞xn·mn=0,也即limx→∞|xn−C|=o(1mn)

也可以从这个角度可以出题哟


对应来个压缩映射的例子

例:对数列{ xn }, x1=7,x2=7−7,xn+2=7−7+xn,

求 limn→+∞xn

解: |xn+2−2|=|7−7+xn−2|=|3−7+xn|7−7+xn+2=

|2−xn|(7−7+xn+2)·(3+7+xn)≤16|xn−2|

由上述结论可知令n=2k可得 limk→+∞x2k=2 ;令n=2k-1得 limk→+∞x2k−1=2

由定理:设数列{xn}被分成m个互不相交的子数列,则 limn→+∞xn=A limn→+∞xn=A 的充要条件是这m个子数列的极限都是A。

特别地有 limn→+∞xn=A 的充要条件是 limn→+∞x2n=A且limn→+∞x2n−1=A

则可知此问 limn→+∞xn =2

注:为什么一开始就设 |xn+2−2| 呢?这个可以我们先默认极限存在,代入递推式中解即可预测出数列的收敛值是2

②对{xn},若存在 kϵ(0,1),使|xn+1−xn|≤k·|xn−xn−1|, 则由正项级数的比较审敛法可以推出 ∑n=1∞(xn+1−xn) 绝对收敛,设收敛于S,又 xn=x1+∑n=1∞(xn+1−xn) ,令 n→+∞, 得 limn→+∞xn=x1+S, 所以数列

{xn}收敛。

满足②的一种典型情形如下

对{xn},有xn+1 =f( xn ),若 |f′(x)|≤kϵ(0,1) ,那么 |xn+1−xn|≤|f(xn)−f(xn−1)=|f′(ξ)|·|xn+1−xn|≤k·|xn−xn−1|

推出 |xn+1−xn|≤k·|xn−xn−1| 此式后,接下来便与②中推导一致


以上就是总结的“2023考研高数知识点:递推数列求极限的两种方法”全部内容,希望对大家有所帮助,更多的内容可关注湖南良师启航考研官网。